#This file is now useless -> use the log4j2.xml file to configure log4j
# Root logger with default DEBUG LEVEL and 2 appenders A1 A2
log4j.rootLogger=DEBUG, A1,A2
 
# Direct log messages to a log file
log4j.appender.A1=org.apache.log4j.RollingFileAppender
log4j.appender.A1.File=tests.log
log4j.appender.A1.MaxFileSize=5MB
log4j.appender.A1.MaxBackupIndex=10
log4j.appender.A1.layout=org.apache.log4j.PatternLayout
log4j.appender.A1.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %-5p %c{1}:%L - %m%n
 
# Direct log messages to stdout
log4j.appender.A2=org.apache.log4j.ConsoleAppender
log4j.appender.A2.Target=System.out
log4j.appender.A2.layout=org.apache.log4j.PatternLayout
log4j.appender.A2.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %-5p %c{1}:%L - %m%n

#loggers are main cart db db.sync db.sql
#adapting loggers levels
log4j.logger.cart=DEBUG
#Possible Level values are : ALL DEBUG, INFO, WARN, ERROR, FATAL OFF